$LOAD_PATH.unshift(File.expand_path('../../lib', __FILE__))

require 'tuya/cli/odm/command/group/create'
require 'tuya/cli/odm/command/group/init'
require 'tuya/cli/odm/command/group/status'

require 'tuya/cli/odm/command'

module Tuya
	class Command
		class Group < Command

			self.abstract_command = true

			self.summary = 'help manage your group'
			self.command = 'group'

			self.description = <<-DESC
      tuya group helper
			DESC

			def self.options
				[
					['--name=group_name', '--name the name for your group']
				]
			end

			def run
				super
			end
		end
	end
end

