module Tuya
	require 'singleton'
	class System
		include Pod::Config::Mixin
		include Singleton
		def self.lint
			puts "current ruby version: #{RUBY_VERSION}-p#{RUBY_PATCHLEVEL}".green
			puts Pod::VERSION
		end

		attr_accessor :user
		attr_accessor :pod_config
		attr_accessor :group
		attr_accessor :gitlab_config

		def initialize
			@user = ENV["HOME"]
			@pod_config = config

			@group = Tuya::Config.local_config @user
		end
	end
end
