module Tuya
	class EXE
		def self.exe(executable, command, raise_if_need = false, puts_filter = true )

			result = Pod::Executable.execute_command(executable, command, raise_if_need)

			# puts "##########"
			# puts command
			# puts "##########"


			TYUtil::TYPuts.filter(result, TYUtil::TYPuts::ERROR_KEYS) if puts_filter
			
			result
		end

		def self.multi_exe(executable, commands, raise_if_need = false)
			commands.each do |command|
				exe(executable, command, raise_if_need)
			end
		end
	end
end